Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.transform.disassembler
Class NoSuchXmlDisassemblerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.transform.TransformException
                  com.bea.netuix.application.transform.disassembler.XmlDisassemblerException
                      com.bea.netuix.application.transform.disassembler.NoSuchXmlDisassemblerException

All Implemented Interfaces
  Serializable

    public class NoSuchXmlDisassemblerException

extends XmlDisassemblerException

This exception is thrown when a given element type has no corresponding `XmlDisassembler`. For example, `Book` elements are disassembled to an XML view via the `BookXmlDisassembler`.

See Also
  Serialized Form

Constructor Summary
`NoSuchXmlDisassemblerException(String s)`
`NoSuchXmlDisassemblerException(String s, Throwable throwable)`
`NoSuchXmlDisassemblerException(Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchXmlDisassemblerException

    public NoSuchXmlDisassemblerException(String s)

### NoSuchXmlDisassemblerException

    public NoSuchXmlDisassemblerException(String s,
                                          Throwable throwable)

### NoSuchXmlDisassemblerException

    public NoSuchXmlDisassemblerException(Throwable throwable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved